:root {
  --md-primary-fg-color:        #34a0a4;
  --md-primary-fg-color--light: #5eedf1;
  --md-primary-fg-color--dark:  #207477;
  --md-accent-fg-color: #28868a;
  --md-color-accent: #34a0a4;
  
  /* Theo red
  --md-primary-fg-color:        #FF003C;
  --md-primary-fg-color--light: #ED2939;
  --md-primary-fg-color--dark:  #7a1b21;
  --md-accent-fg-color: FF003C;
  */
  .video-wrapper {
  position: relative;
  display: block;
  height: 0;
  padding: 0;
  overflow: hidden;
  padding-bottom: 56.25%;
}
.video-wrapper > iframe {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  width: 99%;
  height: 99%;
  border: 1px solid black
}

/* Grid sets the width of the main content */
.md-grid {
  max-width: 85%; /* or 100%, if you want to stretch to full-width */
}

.md-sidebar {
  width: 18%
}
.md-sidebar__inner {
  padding-right: 0.2rem;
}
/* custom abstract admonition*/
  --md-admonition-icon--summary: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" height="16" width="16" viewBox="0 0 512 512"><!--!Font Awesome Free 6.5.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--><path d="M40 48C26.7 48 16 58.7 16 72v48c0 13.3 10.7 24 24 24H88c13.3 0 24-10.7 24-24V72c0-13.3-10.7-24-24-24H40zM192 64c-17.7 0-32 14.3-32 32s14.3 32 32 32H480c17.7 0 32-14.3 32-32s-14.3-32-32-32H192zm0 160c-17.7 0-32 14.3-32 32s14.3 32 32 32H480c17.7 0 32-14.3 32-32s-14.3-32-32-32H192zm0 160c-17.7 0-32 14.3-32 32s14.3 32 32 32H480c17.7 0 32-14.3 32-32s-14.3-32-32-32H192zM16 232v48c0 13.3 10.7 24 24 24H88c13.3 0 24-10.7 24-24V232c0-13.3-10.7-24-24-24H40c-13.3 0-24 10.7-24 24zM40 368c-13.3 0-24 10.7-24 24v48c0 13.3 10.7 24 24 24H88c13.3 0 24-10.7 24-24V392c0-13.3-10.7-24-24-24H40z"/></svg>')
}

.md-typeset .admonition.summary,
.md-typeset details.summary {
  border-color: rgb(169, 169, 169);
}
.md-typeset .summary > .admonition-title,
.md-typeset .summary > summary {
  background-color: rgba(169, 169, 169, 0.1);
}
.md-typeset .summary > .admonition-title::before,
.md-typeset .summary > summary::before {
  background-color: rgb(169, 169, 169);
  -webkit-mask-image: var(--md-admonition-icon--summary);
          mask-image: var(--md-admonition-icon--summary);
}


.md-typeset .admonition.api,
.md-typeset details.api {
  border-color: rgb(169, 169, 169);
}
.md-typeset .api > .admonition-title,
.md-typeset .api > summary {
  background-color: rgba(169, 169, 169, 0.1);
}
.md-typeset .api > .admonition-title::before,
.md-typeset .api > summary::before {
  background-color: rgb(169, 169, 169);
  -webkit-mask-image: var(--md-admonition-icon--api);
          mask-image: var(--md-admonition-icon--api);
}

/* minimize space between banner and content on landing pages*/
.md-typeset .grid {
    grid-gap: 0.4rem;
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(min(100%,16rem),1fr));
    margin: 0.6em 0;
}

.md-content__inner {
    margin: 0 0.8rem 1.2rem;
    padding-top: 0.3rem;
}

/* Custom beta status */
.md-status--beta::after {
    background-color: var(--md-default-fg-color--light);
    border-radius: 0.2rem;
    color: white;
    content: "beta";
    font-size: 0.5rem;
    height: auto;       
    padding: 0.1rem;
    -webkit-mask-image: none;
    width: auto;
}
.md-status:hover:after {
   background-color: var(--md-default-fg-color--light);
} 

.modal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
  background-color: #fefefe;
  margin: 15% auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
  color: black;
}

.modal-content h1 {
  color: black;
}

.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}


.placeholder-row {
  animation: gradientAnimation 1.5s infinite;
  height: 40px;
  background: linear-gradient(90deg, #e0e0e0 25%, #f0f0f0 50%, #e0e0e0 75%);
  background-size: 200% 100%;
}

.placeholder-cell {
  filter: blur(5px);
  animation: gradientAnimation 1.5s infinite;
  background: linear-gradient(90deg, #e0e0e0 25%, #f0f0f0 50%, #e0e0e0 75%);
  background-size: 200% 100%;

}

@keyframes gradientAnimation {
  0% {
    background-position: 200% 0;
  }

  100% {
    background-position: -200% 0;
  }
}

/* Search box */
.md-search__input {
  border: 1px solid var(--color-primary);
  border-radius: .5em;
  background-color: white;
  color: black;
} 
.md-search__input::placeholder {
  color: black;
  opacity: 1;
}
	
[dir=ltr] .md-search__icon[for=__search] {
    color: black;
}

.do-not-display {
  display: none;
}

 /* Hide first nav element  */ 
#__nav_3_label {
  display: none;
}

nav[data-md-level="1"] > .md-nav__list > .md-nav__item {
  border-bottom: 1px solid;
  border-color: #EEEEEE;
  padding-bottom: 1.25em !important;
}

.next-step {
    margin: 2rem 0;
}

.next-step a {
    display: flex;
    align-items: center;
    justify-content: space-between;
    /* border-radius: var(--base-border-radius); */
    min-height: 120px;
    padding: 0 50px;

    background: #303030;
    color: #FFFCF2;
    text-decoration: none;

    font-size: 1rem;

    transition: background-color 0.2s ease;
}

.next-step a:hover {
    color: #bfbfbf; /* light grey */
}

.next-step a::before {
    content: "Next Step:";
    margin-right: 0.5rem;
    flex-shrink: 0;
}

.next-step a::after {
    content: ">";
    font-size: 2.5rem;
    font-weight: 700;
    margin-left: auto;
}